/**
 * Contains classes for reading and writing objects.
 */
package ru.amse.ksenofontova.jina.io;

/**
 * This interface only used for storing String constants which are the tag 
 * names used for reading/writing MainWindowParameters' fields from/to XML-file
 * @author Eugenia
 *
 */
public interface MainWindowRarametersIOConstants {
//  --- Root Element
    String MAIN_WINDOW_PARAMETERS_TAG_NAME = "mainWindowParameters";
    
    String LOCATION_TAG_NAME = "location";
    String X_POSITION_TAG_NAME = "xPosition";
    String Y_POSITION_TAG_NAME = "yPosition";
    
    String SIZE_TAG_NAME = "size";
    String WIDTH_TAG_NAME = "width";
    String HEIGHT_TAG_NAME = "height";

}
