package ru.amse.ksenofontova.jina.tests;

import java.io.*;

/**
 * ,    .
 * 
 * @author Olga
 *
 */
public class FileComparator {
	// 
	private File myFile1;
	// 
	private File myFile2;

	/**
	 *  .
	 * 
	 * @param fileName1   .
	 * @param fileName2   .
	 */
	public FileComparator(String fileName1, String fileName2) {
		myFile1 = new File(fileName1);
		myFile2 = new File(fileName2);
	}
	
	/**
	 * ,   .
	 * 
	 * @return true,   ,
	 * 		   false,   .
	 */
	public boolean compare() {        
		int len1 = (int) myFile1.length();
		int len2 = (int) myFile2.length();
		
		if (len1 != len2) {
			return false;
		}
		
		byte[] data1 = new byte[len1];
		byte[] data2 = new byte[len2];
		try {
			DataInputStream in1 = new DataInputStream(new FileInputStream(myFile1));
			DataInputStream in2 = new DataInputStream(new FileInputStream(myFile2));
			
			in1.readFully(data1);
			in2.readFully(data2);
			
			in1.close();
			in2.close();	
		} catch (IOException e) {
			System.out.println(e.getMessage());
			return false;
		}
		
		for (int i = 0; i < len1; i++) {
			if (data1[i] != data2[i]) {
				return false;
			}
		}
		return true;
	}
}
