/**
 * 
 */
package ru.amse.ksenofontova.jina.view.actions;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;

import ru.amse.ksenofontova.jina.view.TasksPanel;

/**
 * @author Eugenia
 *
 */
@SuppressWarnings("serial")
public class DeleteTaskAction extends AbstractAction {
    private static String    newTaskActionName             = "Delete task";
    private static String    newTaskActionShortDescription = "Delete selected task";
    private final TasksPanel myOwner;

    public DeleteTaskAction(TasksPanel owner) {
        super(newTaskActionName);
        putValue(SHORT_DESCRIPTION, newTaskActionShortDescription);
        myOwner = owner;
    }

    public void actionPerformed(ActionEvent e) {
        myOwner.deleteSelectedTask();
    }

}
