/**
 * 
 */
package ru.amse.ksenofontova.jina.view.actions;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.Icon;

import ru.amse.ksenofontova.jina.model.DateUtil;
import ru.amse.ksenofontova.jina.view.TasksPanel;

/**
 * @author Eugenia
 *
 */
@SuppressWarnings("serial")
public class NewTaskAction extends AbstractAction {
    //private static String newTaskActionName = "New task";
    private static String newTaskActionShortDescription = "New task";
    private static char newTaskActionMnemonic = 'N';
    private final TasksPanel myOwner;   
    
    public NewTaskAction(TasksPanel owner, Icon icon) {
        //super(newTaskActionName);
        putValue(SHORT_DESCRIPTION
            , newTaskActionShortDescription);
        putValue(MNEMONIC_KEY
            , new Integer(newTaskActionMnemonic));
        putValue(SMALL_ICON, icon);
        myOwner = owner;
    }
      
    public void actionPerformed(ActionEvent e) {
        myOwner.createTask(DateUtil.getToday());        
    }
    
}
