/**
 * Contains classes for reading and writing objects.
 */
package ru.amse.ksenofontova.jina.io;

/**
 * This interface used only for storing String constants which are the tag 
 * names used for reading/writing Task's fields from/to XML-file
 * @author Eugenia
 *
 */
public interface TasksIOConstants {
    String TASK_LIST_TAG_NAME = "taskList";
    String TASK_TAG_NAME = "task";    
    
    String EXECUTION_STATE_TAG_NAME = "executionState";
    String END_DATE_TAG_NAME = "endDate";
    String BEGIN_DATE_TAG_NAME = "beginDate";
    String TIME_LIMITATION_TAG_NAME = "timeLimitation";
    String PRIORITY_TAG_NAME = "priority";
    String TEXT_TAG_NAME = "text";
    String IDENTITY_TAG_NAME = "identity";
    
}
