/**
 * 
 */
package ru.amse.ksenofontova.jina.tests;

import java.awt.Color;
import java.awt.Font;
import java.util.Date;

import ru.amse.ksenofontova.jina.model.DateUtil;
import ru.amse.ksenofontova.jina.view.ViewParameters;


/**
 * @author Eugenia
 *
 */
public class ViewParametersIOTestsParameters implements TestsParameters {
    
    public static final Color TEST_COLOR = new Color(1, 2, 3);
    public static final Font TEST_FONT = new Font("Dialog", Font.BOLD, 2);
    public static final Date TEST_DATE = DateUtil.newDate(2007, 7, 7);
    
    static void setDefaultValues() {
        ViewParameters.setFirstVisibleDate(TEST_DATE);
        
        ViewParameters.BorderColor = ViewParameters.DEFAULT_BORDER_COLOR;

        ViewParameters.GridColor = ViewParameters.DEFAULT_GRID_COLOR;

        ViewParameters.TodayGridColor = ViewParameters.DEFAULT_TODAY_GRID_COLOR;

        ViewParameters.setScale(ViewParameters.DEFAULT_SCALE);

        ViewParameters.ViewFontColor = ViewParameters.DEFAULT_VIEW_FONT_COLOR;

        ViewParameters.WeekendFontColor = ViewParameters.DEFAULT_WEEKEND_FONT_COLOR;

        ViewParameters.ViewBackgroundColor = ViewParameters.DEFAULT_VIEW_BACKGROUND_COLOR;

        ViewParameters.WorkDayTasksPanelBackgroundColor = ViewParameters.DEFAULT_WORK_DAY_TASKS_PANEL_BACKGROUND_COLOR;

        ViewParameters.WeekendTasksPanelBackgroundColor = ViewParameters.DEFAULT_WEEKEND_TASKS_PANEL_BACKGROUND_COLOR;

        ViewParameters.PastTasksPanelBackgroundColor = ViewParameters.DEFAULT_PAST_TASKS_PANEL_BACKGROUND_COLOR;

        ViewParameters.TaskBorderColor = ViewParameters.DEFAULT_TASK_BORDER_COLOR;

        ViewParameters.SelectedTaskBackgroundColor = ViewParameters.DEFAULT_SELECTED_TASK_BACKGROUND_COLOR;

        ViewParameters.SelectedTaskFontColor = ViewParameters.DEFAULT_SELECTED_TASK_FONT_COLOR;

        ViewParameters.TaskBackgroundColor = ViewParameters.DEFAULT_TASK_BACKGROUND_COLOR;

        ViewParameters.TaskFontColor = ViewParameters.DEFAULT_TASK_FONT_COLOR;

        ViewParameters.setTaskFont(ViewParameters.DEFAULT_TASK_FONT);
    }
    
    
}
