/**
 * 
 */
package ru.amse.ksenofontova.jina.view.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Icon;
import javax.swing.JComponent;

import ru.amse.ksenofontova.jina.view.ViewParameters;


/**
 * @author Eugenia
 *
 */
@SuppressWarnings("serial")
public class ThreeDaysAction extends AbstractAction {
    //private static final String threeDaysScaleActionName = "3 days";
    private static final String threeDaysScaleActionShortDescription = "3 days view";
    private static final char threeDaysScaleActionMnemonic = '3';
    private final JComponent myOwner;


    /**
     * 
     */
    public ThreeDaysAction(JComponent owner, Icon icon) {
        //super(threeDaysScaleActionName);
        putValue(SHORT_DESCRIPTION
            , threeDaysScaleActionShortDescription);
        putValue(MNEMONIC_KEY
            , new Integer(threeDaysScaleActionMnemonic));
        putValue(SMALL_ICON, icon);
        myOwner = owner;
    }


    /** 
     * 
     */
    // TODO: replace magic "3" by some constant
    public void actionPerformed(ActionEvent e) {
        ViewParameters.setScale(3);
        myOwner.repaint();
    }

}
