/**
 * 
 */
package ru.amse.ksenofontova.jina.view.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Icon;
import javax.swing.JComponent;

import ru.amse.ksenofontova.jina.view.ViewParameters;


/**
 * @author Eugenia
 *
 */
@SuppressWarnings("serial")
public class WeekScaleAction extends AbstractAction {
    //private static final String weekScaleActionName = "Week";
    private static final String weekScaleActionShortDescription = "Week view";
    private static final char weekScaleActionMnemonic = '7';
    private final JComponent myOwner;
    

    /**
     * 
     */
    public WeekScaleAction(JComponent owner, Icon icon) {
        //super(weekScaleActionName);
        putValue(SHORT_DESCRIPTION
            , weekScaleActionShortDescription);
        putValue(MNEMONIC_KEY
            , new Integer(weekScaleActionMnemonic));
        putValue(SMALL_ICON, icon);
        myOwner = owner;
    }


    /**
     * 
     */
    // TODO: replace magic "7" by some constant
    public void actionPerformed(ActionEvent e) {
        ViewParameters.setScale(7);
        myOwner.repaint();
    }

}
